Package com.massivecraft.factions.event

## Class FPlayerLeaveEvent

- java.lang.Object
- - org.bukkit.event.Event
  - - com.massivecraft.factions.event.FactionEvent
    - - com.massivecraft.factions.event.FactionPlayerEvent
      - - com.massivecraft.factions.event.FPlayerLeaveEvent

- All Implemented Interfaces:
    `org.bukkit.event.Cancellable`

      public class FPlayerLeaveEvent
      extends FactionPlayerEvent
      implements org.bukkit.event.Cancellable

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `FPlayerLeaveEvent.PlayerLeaveReason` |

    - ### Nested classes/interfaces inherited from class org.bukkit.event.Event

      `org.bukkit.event.Event.Result`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `(package private) boolean` | `cancelled` |

    - ### Fields inherited from class com.massivecraft.factions.event.FactionPlayerEvent

      `fPlayer`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FPlayerLeaveEvent​(FPlayer p, Faction f, FPlayerLeaveEvent.PlayerLeaveReason r)` |

  - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `FPlayerLeaveEvent.PlayerLeaveReason` | `getReason()` | Get the reason the player left the faction.
    `boolean` | `isCancelled()` |
    `void` | `setCancelled​(boolean c)` |

    - ### Methods inherited from class com.massivecraft.factions.event.FactionPlayerEvent

      `getfPlayer`

    - ### Methods inherited from class com.massivecraft.factions.event.FactionEvent

      `getFaction, getHandlerList, getHandlers`

    - ### Methods inherited from class org.bukkit.event.Event

      `getEventName, isAsynchronous`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### cancelled

          boolean cancelled

  - ### Constructor Detail

    - #### FPlayerLeaveEvent

          public FPlayerLeaveEvent​(FPlayer p,
                                   Faction f,
                                   FPlayerLeaveEvent.PlayerLeaveReason r)

  - ### Method Detail

    - #### getReason

          public FPlayerLeaveEvent.PlayerLeaveReason getReason()

      Get the reason the player left the faction.
      Returns:
        reason player left the faction.

    - #### isCancelled

          public boolean isCancelled()

      Specified by:
        `isCancelled` in interface `org.bukkit.event.Cancellable`

    - #### setCancelled

          public void setCancelled​(boolean c)

      Specified by:
        `setCancelled` in interface `org.bukkit.event.Cancellable`